
.fas, .far, .fa-duotone {
  margin-right: 0.5em;
}


.nav-item a {
  color: #fff;
}

.dropdown-item {
  color: #005DA8 !important;
}

.nav-tabs .nav-link:hover, .nav-tabs .nav-link:focus {
    background-color: #fff;
}

.nav-tabs {
    /*border-bottom: 1px solid #005DA8;*/
}

.nav-tabs .nav-link {
    background-color: #efefef;
    color: #222; 
}

.nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link {
    background-color: #fff;
    border-bottom: 1px solid white; 
    
}

.navbar-nav .badge {
		background: #f44336;
		font-size: 11px;
		border-radius: 20px;
		position: absolute;
    margin-left: -1em;
		min-width: 10px;
		padding: 4px 6px 0;
		min-height: 18px;
		top: 3px;
	}
	.navbar-nav  a.notifications, 
  .navbar-nav  a.messages {
		position: relative;
		margin-right: 10px;
	}
	.navbar-nav ul.nav li a.messages {
		margin-right: 10px;
	}
      



nav>.container-fluid {
  background-color: #005DA8 !important;
  padding-top: 0.4em;
  padding-bottom: 0.4em;
}    
    
.text-info,
.nav-link  {
 /* color: #005DA8 !important; */
}

 
.alert-warning.text-warning {
  color: rgb(172, 130, 3) !important;
} 
    
#header-company {
  height: 128px;
  padding-top: 2rem !important;
}

.navbar-brand.left {
  font-family: 'Rubik', sans-serif;
  color: #000000;
  font-size: 16px;
  font-weight: 400;
  text-align: left;
}

.navbar-brand.left {
  text-decoration: none !important;
  line-height: 1.2;
}       

.navbar-brand.left strong {
  color: #005da8;
  font-size: 30px;
  font-weight: 500;
  text-transform: uppercase;
}

.changeform {
  padding: 1em;
  margin: 0;
  background-color: #efefef;
}
.changeform form {
  margin: 0;
}

.table.bg-transparent th,
.table.bg-transparent td {
  background-color: transparent !important;
}

.ui-widget.ui-widget-content {
  border: 1px solid #c5c5c5;
}
.ui-widget-content {
  border: 1px solid #dddddd;
  background: #ffffff;
  color: #333333;
}

.ui-menu {
  list-style: none;
  padding: 0;
  margin: 0;
  display: block;
  outline: 0;
}
.ui-autocomplete {
  position: absolute;
  top: 0;
  left: 0;
  cursor: default;
}

.nav-link {
  border: var(--bs-border-width) var(--bs-border-style) transparent !important;
}

.nav-link.active {
  --bs-bg-opacity: 1;
  background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important;
  border: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color) !important;  
}

.modallink {
  cursor: pointer;
}

#ididm {
  margin-bottom: -1px; 
  z-index:100; 
  color: silver
}

.rounded-top-end-0 {border-top-right-radius: 0 !important;}
.rounded-bottom-end-0 {border-bottom-right-radius: 0 !important;}

.rounded-top-start-0 {border-top-left-radius: 0 !important;}
.rounded-bottom-start-0 {border-bottom-left-radius: 0 !important;}

.border-top-warning {
  border-top-color: #28a745 !important;
}

.datetimecol {
  width: 10em !important;
}

.datecol {
  width: 7em !important;
}

.btncol {
  width: 5em !important;
}

.icocol {
  width: 2em !important;
}

.personcol {
  min-width: 10em !important;
}

.text-info {
  color: #005DA8;
}

.btn-outline-info {
  color: #005DA8;
  border-color: #005DA8;
}

.btn-outline-info:hover {
 /* color: #ffffff !important; */
  background-color: #005DA8;
  border-color: #005DA8;
}

.btn-circle {
  margin-top: -5px;
  width: 2em;
  height: 2em;
  text-align: center;
  padding: .5em 0;
/*  font-size: 12px; */
  line-height: 1.1em;
  border-radius: 1em;
}

#btnbackmain {
  position: relative;
  z-index: 100;
}


.profile-userpic img {
  max-width: 100px;
  max-height: 100px;
  border-radius: 50%;
  width: 104px;
  height: 104px;
  transition: all .15s ease;
/*    transform: translate(0%, -10%); */
  border: 4px solid #fff;
}

 

.userdatalist .row {
  justify-content: space-between;

}

.userdatalist .collabel {

}

.userdatalist .colvalue {

}

.userdatalist .colbutton {
  text-align: right;
  min-width: 4em;
}

.pincode-input-container {
  width: 10em;
}


@media (max-width: 992px) {
  .userdatalist .colvalue {
    order: 3 !important;
    flex: none;
    width: 100%;
  }
}

 
@media (max-width: 992px) {

  #header-company {
    height: 100px;
    padding-top: 1.5rem !important;
  }

  .navbar-brand.left {
    top: -95px;
    font-size: 16px;
  }
  .navbar-brand.left strong {
    font-size: 30px;
  }
  
  .navbar-brand>img {
    width: 162px;
  }
  
  .navbar-brand.left {
    font-family: Rubik;
    color: #000000;
    font-size: 16px;
    font-weight: 400;
    text-align: left;
  }

}

@media (max-width: 768px) {

  #header-company {
    height: 80px;
    padding-top: 1.3rem !important;
  }

  .navbar-brand>img {
    width: 120px;
  }
  
  .navbar-brand.right {
    right: 0;
    top: -100px;
    left: auto;
    width: auto;
  }
  
  .pincode-input-container {
    width: 100%;
  }    
  
 }   
 
 
 
 
 .callout {
padding: 1.25rem;
margin-bottom: 1.25rem;
border: 1px solid #eee;
border-left-width: .25rem;
border-radius: .25rem
}

.callout h4 {
margin-top: 0;
margin-bottom: .25rem
}

.callout p:last-child {
margin-bottom: 0
}

.callout code {
border-radius: .25rem
}

.callout+.callout {
margin-top: -.25rem
}

.callout-info {
border-left-color: #005DA8;
}

.callout-info h4 {
color: #5bc0de
}

.callout-warning {
border-left-color: #f0ad4e
}

.callout-warning h4 {
color: #f0ad4e
}

.callout-danger {
border-left-color: #d9534f
}

.callout-danger h4 {
color: #d9534f
}

.callout-primary{
border-left-color: #007bff
}

.callout-primaryh4 {
color: #007bff
}

.callout-success{
border-left-color: #28a745
}

.callout-successh4 {
color: #28a745
}

.callout-default{
border-left-color: #6c757d
}

.callout-defaulth4 {
color: #6c757d
}



.servicebox{
  display: block;
  padding: 30px 30px 30px 90px;
  background: #f8f8f8;
  color: #333;
  overflow: hidden;
  position: relative;
  transition: all 0.3s ease-in-out 0s;
  text-decoration: none !important;
  text-decoration-style: none;
  height: 100% !important;
}

.servicebox:hover{
  background: #005DA8;
  color: #fff;
}

.servicebox:after{
  content: "";
  display: block;
  border-top: 500px solid #fff;
  border-left: 500px solid transparent;
  margin-top: -55%;
  margin-left: 100%;
  opacity: 0;
  position: absolute;
  transform: scale(2);
  transition: all 0.3s ease-in-out 0s;
}

.servicebox:hover:after{
  margin-left: 0;
  opacity: 0.1;
}

.servicebox .service-icon{
  font-size: 45px;
  color: #005DA8;
  position: absolute;
  top: 40px;
  left: 20px;
  transition:all 0.3s ease-in-out 0s;
}

.servicebox:hover .service-icon{
  color: #fff;
}

.servicebox .title{
  font-size: 22px;
  font-family: 'Rubik', sans-serif;
  font-weight: 500;    
  margin: 0 0 12px 0;
  text-decoration: none !important;
}

.servicebox .description{
  color: #a3a3a3;
  line-height: 25px;
  margin: 0;
  transition: all 0.3s ease-in-out 0s;
  text-decoration: none !important;
}

.servicebox:hover .description{
  color: #fff;
}

@media only screen and (max-width: 990px){
  .servicebox { 
    margin-bottom: 15px;
  }
}



/*
  ---- services ----
*/

.icon-close {
  position: absolute;
  top: 10px;
  right: 20px;  
  width: 16px;
  height: 16px;
  opacity: 0.3;
  cursor: pointer;
  border: 0 !important;
  padding: 0 !important; 
  
}
.icon-close:hover {
  opacity: 1;
}
.icon-close:before, .icon-close:after {
  position: absolute;
  left: 15px;
  content: ' ';
  height: 16px;
  width: 2px;
  background-color: #333;
}
.icon-close:before {
  transform: rotate(45deg);
}
.icon-close:after {
  transform: rotate(-45deg);
}

/* test submenu */
.dropdown-submenu {
  position: relative;
}

.dropdown-submenu a::after {
  position: absolute;
}

.dropdown-submenu .dropdown-menu {
  top: 0;
  right: 100%;
  left: auto;
  margin-left: .1rem;
  margin-right: .1rem;
}

#userprofilebox {
 background-color: white  !important;
  height: calc(100dvh - 300px);
  width: 100%;
  min-height: 300px; 
  min-width: 400px; 
  max-height: 800px; 
  max-width: 500px; 
/*overflow-y: auto; */
 border-top: 4px solid #005DA8 !important; 
 border-bottom: 4px solid #005DA8 !important; 
 margin: 0;
 padding:0;
}

#userservicebox {
  margin-top: 12px;
  background-color: white !important;
  height: calc(100dvh - 300px);
  width: 100%;
  min-height: 300px; 
  min-width: 300px; 
  max-height: 470px; 
  max-width: 350px; 
 /* overflow-y: auto; */ 
 border-top: 4px solid #005DA8 !important; 
 border-bottom: 4px solid #005DA8 !important; 
 padding:0;
}


#userprofilebox .header,
#userservicebox .header {
 display: none;
}

@media screen and (max-width: 768px) {
  #userprofilebox, #userservicebox {
    max-width: 100%;
    min-width: 300px; 
  }
  
  #userprofilebox,
  #userservicebox {
   position: fixed;
   top: 0;
   left: 0;
   width: 100vw;
   height: 100vh;
   max-width: 100vw;
   max-height: 100vh;
   border: 0; 
   padding: 0;
   margin: 0;
  }

  #userprofilebox .header,
  #userservicebox .header {
    display: block;
    position: relative;
    text-align: center;
    padding: 6px;
  }

  #userprofilebox .header .close,
  #userservicebox .header .close {
    position: absolute;
    right:0;
    top:0;
    border: none;
    padding: 3px 6px 3px 0px;
    color: silver;
  }
}
